iscsi_nodes_get(3)

NAME
iscsi_nodes_get - Retrieve all iSCSI nodes.

SYNOPSIS
int iscsi_nodes_get (struct iscsi_context *ctx, struct iscsi_node ***nodes, uint32_t *node_count);

ARGUMENTS

ctx Pointer of 'struct iscsi_context'. If this pointer is NULL, your program will be terminated by assert.

nodes
    Output pointer of 'struct iscsi_node' pointer array. Its memory should be freed by iscsi_nodes_free. If this pointer is NULL, your program will be terminated by assert.

node_count
    Output pointer of uint32_t. Will store the size of

DESCRIPTION

Retrieves all iSCSI nodes. For the properties of 'struct iscsi_node', please refer to the functions defined in 'libopeniscsiusr_node.h' file. The returned results contains iSCSI nodes configured in "/etc/iscsi/nodes/". Illegal configuration file will be skipped and warned. The returned 'struct iscsi_node' pointer array is sorted by target name, connection address, connection port and interface.

RETURN
int. Valid error codes are:

* LIBISCSI_OK

* LIBISCSI_ERR_BUG

* LIBISCSI_ERR_NOMEM

* LIBISCSI_ERR_ACCESS

* LIBISCSI_ERR_SYSFS_LOOKUP

* LIBISCSI_ERR_IDBM

Error number could be converted to string by iscsi_strerror.